<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<bean:message key="greetings"/>
<br/>

Write tag examples: <bean:write name="position"/>
<br/>Street address: <bean:write name="address" property="streetAddress" scope="request"/>
<br/>Second phone: <bean:write name="address" property="phones[1]" scope="request"/>
<br/>Current date and time: <bean:write name="now" format="MM/dd/yyyy"/>
<br/>Quantity: <bean:write name="quantity" format="#,##0"/>
<hr/>

<logic:present cookie="JSESSIONID">
Cookie:<bean:cookie id="myCookie" name="JSESSIONID"/>
<bean:write name="myCookie" property="value"/>
</logic:present>

<hr/>
<bean:define id="aBean" value="Using bean:define"/>
<bean:write name="aBean"/>
<hr/>
<bean:define id="selectedCity" name="address" property="city" scope="request" 
  toScope="session"/>
City: <bean:write name="selectedCity" scope="session"/>
<hr/>

<bean:page id="theRequestObject" property="request"/>
Context Path:<bean:write name="theRequestObject" property="contextPath"/>
<hr/>
<logic:present header="User-Agent">
  <bean:header id="agent" name="User-Agent"/>
  User agent: <bean:write name="agent"/><br/>
</logic:present>

<logic:present header="Referer">
  <bean:header id="referer" name="Referer"/>
  Referer: <bean:write name="referer"/><br/>
</logic:present>

<br/>
<bean:include id="footer" name="/jsp/footer.jsp"/>
<bean:write name="footer"/>
  
  
<br/>
<logic:present parameter="userName">
<bean:parameter id="myParam" name="userName"/>
User name: <bean:write name="myParam"/>
</logic:present>
<br/>

<bean:size id="count" name="address" property="phones"/>


